
%global python3_pkgversion 3.11
%global pypi_name more-itertools
%global srcname more_itertools
%global pypi_version 10.6.0


Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        More routines for operating on iterables, beyond itertools

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/more-itertools/more-itertools
Source:         %{pypi_source %pypi_name}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-flit-core >= 3.2
BuildRequires:  python%{python3_pkgversion}-flit-core < 4
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  pyproject-rpm-macros


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Python’s itertools library is a gem - you can compose elegant solutions for a variety of problems with the functions it provides.
In more-itertools we collect additional building blocks, recipes, and routines for working with Python iterables.}

%description %_description

%package -n     python%{python3_pkgversion}-more-itertools
Summary:        %{summary}

%description -n python%{python3_pkgversion}-more-itertools %_description


%prep
%autosetup -p1 -n more-itertools-%{version}


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pytest tests/


%files -n python%{python3_pkgversion}-more-itertools -f %{pyproject_files}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{pypi_version}.dist-info


%changelog
* Thu Feb 20 2025 Carlos Heiras <carlos.heiras@oracle.com> - 10.6.0-1
- Initial release
